Public Member Functions
CameraRig Class Reference

## Detailed Description

The CameraRig object is a specialized Null object that represents a hierarchy composed of a Camera and its X3DObject interest object.

Each is parented under the same root object i.e. the CameraRig.

See also:
  Camera

Example:

            using namespace XSI;
            Application app;
            Model root = app.GetActiveSceneRoot();

            CameraRig myCameraRig;
            root.AddCameraRig( L"Camera", L"", myCameraRig );

            X3DObject interest(myCameraRig.GetCamera().GetInterest());

`#include <xsi_camerarig.h>`

Inheritance diagram for CameraRig:
[legend]

List of all members.

## Public Member Functions
| CameraRig ()
| ~CameraRig ()
| CameraRig (const CRef &in_ref)
| CameraRig (const CameraRig &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
CameraRig & | operator= (const CameraRig &in_obj)
CameraRig & | operator= (const CRef &in_ref)
Camera | GetCamera () const

## Constructor & Destructor Documentation

CameraRig | ( |  | ) |

Default constructor.

~CameraRig | ( |  | ) |

Default destructor.

CameraRig | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

CameraRig | ( | const CameraRig & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from Rig.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from Rig.

CameraRig& operator= | ( | const CameraRig & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new CameraRig object.

CameraRig& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new CameraRig object.

Reimplemented from Rig.

Camera GetCamera | ( |  | ) | const

Returns the camera object of this rig.

Returns:
  The Camera object for this rig.

The documentation for this class was generated from the following file:

- xsi_camerarig.h